Bug 23385 - Make use of genralized 16x5x driver
Summary: Make use of genralized 16x5x driver
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: Serial device driver   
(Show other bugs)
Version: CVS
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ecc-bugs-int
QA Contact: ecc-bugs-int
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-05 08:55 UTC by Jesper Skov
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 15:54:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jesper Skov 2001-01-05 08:55:55 UTC
At the moment only PID and REF4955 are using the generic 16x5x serial
device driver. Remaining 16x5x-equipped targets should be converted,
both for consistency, code reuse, as a good example, and in particular to
test that the generalization works - there may be a need for some extra
magic extra macros or init function ptrs, etc...

Missing targets are: ARM/CMA230, ARM/AEB, i386/PC [which also supports
some other chip, btw. We need an extra driver based on that and the
necessary configury to select which one to use], MIPS/ATLAS, MIPS/JMR3904
(maybe - may not be worth the effort - and I'm not sure it's a 16x5x
compatible part anyway)

Comment 1 Alex Schuilenburg 2003-06-20 15:54:15 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=23385


Note You need to log in before you can comment on or make changes to this bug.